# Copyright 2014 John McClenahan
# License: The MIT License (MIT)
#
# A SketchUp Ruby Extension that creates regular polyhedron objects.  More info at
# https://github.com/johnmcc/my-polyhedra


require "sketchup.rb"
require "extensions.rb"

module JWM
  module Polyhedra

    # Create the extension.
    loader = File.join(File.dirname(__FILE__), "jwm_polyhedra", "polyhedra.rb")
    extension = SketchupExtension.new("Polyhedra Tool", loader)
    extension.description = "Regular Polyhedra"
    extension.version     = "1.2"
    extension.creator     = "John McClenahan"
    extension.copyright   = "2014, John W McClenahan"

    # Register the extension with so it will show up in the Preference panel.
    Sketchup.register_extension(extension, true)

  end # module Polyhedra
end # module JWM
